gavl

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Fields

Data Fields
gavl_packet_t Struct Reference
Compressed stream support

Packet structure. More...

`#include <compression.h>`

## Data Fields
uint8_t * | data
| Data.
int | data_len
| Length of data.
int | data_alloc
| How many bytes got allocated.
int | flags
| ORed combination of GAVL_PACKET_* flags.
int64_t | pts
| Presentation time.
int64_t | duration
| Duration of the contained frame.
int | field2_offset
| Offset of field 2 for field pictures.
int | header_size
| Size of a repeated global header (or 0)
int | sequence_end_pos
| Position of sequence end code if any.

## Detailed Description

Packet structure.

This specifies one packet of compressed data. For video streams, each packet must correspond to a video frame. For audio streams, each packet must be the smallest unit, which can be decoded indepentently and for which a duration is known.

The typical usage of a packet is to memset() oit to zero in the beginning. Then for each packet call gavl_packet_alloc to ensure that enough data is allocated. At the very end call gavl_packet_free to free all memory.

The documentation for this struct was generated from the following file:

- /tmp/buildpkgs/gavl/gavl-1.2.0/include/gavl/compression.h